import objectdraw.*;
import java.awt.*;

/*
 * Controller for Spring test program.
 */
public class Spring extends WindowController {
    
    // The most recently created flower
    private Flower lastFlower;
    
    /*
     * Create a new flower or change the color of the last flower.
     */
    public void onMousePress(Location point){
        if (lastFlower != null && lastFlower.flowerContains(point)) {
            lastFlower.changeColor();
        } else {
            lastFlower = new Flower( point, canvas.getHeight()*.5, canvas);
        }
    }
    
    /*
     *  Make the newest flower grow
     */
    public void onMouseDrag(Location point){
        if (lastFlower != null) {
            lastFlower.grow();
        }
    }
}
